//  main: main.less, out: ../style.css

// ====================================================================================================================================
// COMPONENTS HOME
// ====================================================================================================================================

//CAROSELLO CICLOMOTORI HOME PAGE (content-moped.php)
.c-mopedscarousel {
    position: relative;
    margin: @margin__xl auto;
    @media @media_tablet, @media_landascape {
        margin: @margin__l auto;
    }
    @media @media_smartphone {
        margin: @margin__l auto;
    }

    .c-mopedscarousel__header {
        .c-mopedscarousel__title {
            font-size: @size__xxl;
            margin: 0 0 @margin__m/2;

            @media @media_tablet, @media_landascape {
                font-size: @size__xl;
            }
            @media @media_smartphone {
                font-size: @size__lm;
                margin: 0;
            }
        }

        .c-mopedscarousel__text {
            margin: @margin__s 0 @margin__s*2;
            max-width: 760px;
            @media @media_smartphone {
                margin: 0 0 @margin__s*2;
            }
        }

        .c-mopedscarousel__actions {
            .u-flex-display;

            &>* {
                margin-right: @margin__s*2;
            }

            @media @media_smartphone {
               display: block;
               &>* {
                    margin-right: 0;
                    margin-bottom: @margin__s;
                }
            }
        }
    }

    .c-mopedscarousel__inner {
        margin-top: @margin__l - 30px;
        @media @media_smartphone {
            margin-top: @margin__s;
        }
    }

}

.c-moped {
    position: relative;
    width: 100%;
    height: 340px;
    background-color: @color-white;
    margin: @margin__m/2 0;
    cursor: pointer;
    .u-shadow(@shadow);
    .u-flex-display;
    .u-align-items(center);
    .u-justify-content(center);
    .u-flex-direction(column);
    .transition-elastic;
    z-index: 0;

    img {
        width: 80% !important;
    }

    .c-moped__name {
        position: absolute;
        bottom: @margin__m/2;
        left: 0;
        right: 0;
        font-size: @size__m;
        font-weight: @font_w__l;
        color: black;
        text-align: center;
        margin: 0;
        padding: 0 5px;
        z-index: 2;
        width: 100%;
    }

    &:hover {
        .u-shadow(@shadow-hover);
    }
}

.owl-dots {
    display: block;
    text-align: center;
    .owl-dot {
        appearance: none;
        -moz-appearance: none;
        -webkit-appearance: none;
        height: 8px;
        width: 8px;
        margin: 4px;
        background-color: @color-tetiary!important;
        .transition-elastic;
        &:focus {
            outline: none;
        }
        .u-border-radius(100%)!important;
        &.active {
            background-color: @color-primary!important;
        }
    }  
}

//COLONNE HOME PAGE (content-two-columns.php, content-three-columns.php)
.c-columns {
    margin: @margin__m auto @margin__xl;
    .u-flex-display;
    .u-justify-content(space-between);

    p {
        margin: 0;
    }
    ul {
        //max-width: 300px;
        margin: 0;
        padding: 0;
    }
    li {
        .u-list-style;
    }
    @media @media_smartphone, @media_tablet, @media_landascape {
        margin: @margin__s auto @margin__l;
        .u-justify-content(center);
        .c-columns__col {
            margin: 0 @margin__m;
        }
    }
    @media @media_tablet {     
        .c-columns__col {
            margin: 0 @margin__s;
        }
    }
    @media @media_smartphone {
        .u-flex-direction(column);
        margin: 0 auto @margin__m;
        .c-columns__col {
            margin: 0;
        }
    }
}

.c-columns__bg {
    background-color: fade(@color-tetiary, 20%);
    margin: @margin__m auto 0;
    padding: @margin__m 0 @margin__l;
    &  > .c-columns {
        margin: 0 auto;
    }
}

.c-columns__2col {
    width: 45%;
    @media @media_smartphone {
        width: 100%;
    }
    .c-column__title {
        font-family: @font_base;
        font-size: @size__ls;
        color: @color-text;
        margin-bottom: @margin__m/2;
        text-transform: uppercase;

    }
}

.c-columns__3col {
    width: 30%;
    padding-right: @margin__s;
    @media @media_tablet, @media_smartphone {
        width: 100%;
    }
    .c-column__title {
        font-family: @font_titles;
        font-size: @size__lx;
        margin-bottom: @margin__m/2;
        @media @media_tablet, @media_landascape {
            font-size: @size__lm;
        }
        @media @media_smartphone {
            font-size: @size__lm;
            margin: @margin__m 0 0;
        }
    }
}

//FASCIA FULL SCREEN HOME PAGE (content-home-row.php)
.c-homerow {
    position: relative;
    width: 100%;
}

.c-homerow__image {
    width: 100%;
    min-height: 500px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    @media @media_smartphone {
        min-height: 240px;
    }
}

.c-homerow__content {
    position: absolute;
    text-align: right;
    right: 0;
    bottom: -@margin__m/2;
    padding: @margin__m 100px;
    max-width: @contentMaxWidth;
    background-color: fade(white, 92%);
    .u-shadow(@shadow);

    @media @media_smartphone {
        position: relative;
        text-align: left;
        right: initial;
        bottom: initial;
        padding: @margin__m @margin__m/2;
        max-width: initial;
        background-color: transparent;
        .u-shadow(none);
    }

    .c-homerow__subtitle {
        margin: 0;
    }

    .c-homerow__title {
        font-size: @size__xl;
        margin: 0;
        @media @media_smartphone, @media_tablet, @media_landascape {
            font-size: @size__lm;
        }
        @media @media_smartphone {
            margin: @margin__s 0;
        }
    }

    p {
        margin: 0;
    }
}

//TEASER BLOG HOME PAGE (content-teaser-blog.php)
.c-teaserblog {
    margin: @margin__xl auto;
    @media @media_smartphone, @media_tablet, @media_landascape {
        margin: @margin__xl auto @margin__m;
    }
    @media @media_smartphone {
        margin: @margin__m auto;
    }
}

.c-teaserblog__content {
    .c-teaserblog__title {
        font-size: @size__xxl;
        margin: 0 0 @margin__m/2;
        @media @media_tablet, @media_landascape {
            font-size: @size__xl;
        }
        @media @media_smartphone {
            font-size: @size__lm;
            margin: 0;
        }
    }

    p {
        max-width: @contentMaxWidth;
        margin-bottom: @margin__m;
        @media @media_smartphone {
            margin-bottom: @margin__s;
        }
    }
}

.c-teaserblog__images {
    margin-top: @margin__m;
    .u-flex-display;
    .u-justify-content(space-between);
    .u-align-items(flex-start);
    
    img {
        margin-bottom: @margin__s;
        width: calc(33% ~'-'35px);
        @media @media_desktop, @media_full {
            .u-shadow(@shadow-dark);
        }
        @media @media_tablet, @media_landascape {
            width: calc(33% ~'-'15px);
        }
        @media @media_smartphone {
            width: 100%;
        }
    }

    @media @media_smartphone {
        padding: 0;
    }
}

//TEASER CONTACT
.c-teasercontact {
    margin: @margin__xl auto @margin__l+@margin__s;

    .c-teasercontact__title {
        font-size: @size__xxl;
        margin: 0 0 @margin__m/2;
    }

    .c-teasercontact__content {
        .u-flex-display;
        .u-justify-content(space-between);

        .c-teasercontact__text {
            max-width: @contentMaxWidth;
        }

        p{
            margin: 0;
        }
    }

    .c-teasercontact__subtitle {
        max-width: 300px;
        font-family: @font_base;
        font-size: @size__ls;
        color: @color-primary;
        text-align: right;
        text-transform: uppercase;
    }

    @media @media_tablet, @media_landascape {
        .c-teasercontact__title {
            font-size: @size__xl;
        }
    }

    @media @media_smartphone {
        margin: @margin__l auto @margin__m;
        .c-teasercontact__content {
            .u-flex-direction(column);
        }
        .c-teasercontact__title {
            font-size: @size__lm;
            margin: 0;
        }
        .c-teasercontact__subtitle {
            text-align: left;
            margin: @margin__m/2 0 0;
        }
    }
}

// ====================================================================================================================================
// COMPONENTS NOLEGGIO (page_moped.php)
// ====================================================================================================================================

body {
    position: relative;
    &:after {
        position: fixed;
        content: '';
        display: block;
        top:0;
        left: 0;
        right: 0;
        bottom: 0;
        width: 100%;
        background-color: @color-footer;
        opacity: 0;
        visibility: hidden;
        z-index: 200;
        .transition-elastic;
    }
    &.isOverlay {
        &:after {
            visibility: visible;
            opacity: .8;
        }
    }
}

//HERO NOLEGGIO
.c-mopeds__hero {
    position: relative;
    width: 100%;
    z-index: 1;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    &:after {
        position: absolute;
        content: '';
        display: block;
        top:0;
        left: 0;
        height: 100%;
        width: 100%;
        background-color: @color-footer;
        opacity: .8;
        z-index: 0;
    }
    @media @media_smartphone, @media_tablet {
        background-position: center right 30%;
    }
}

.c-mopedshero__content {
    .u-flex-display;
    .u-flex-direction(column);
    .u-justify-content(flex-end);
    min-height: 940px;
    z-index: 1;

    .c-mopedshero__subtitle {
        font-family: @font_base;
        font-size: @size__lm;
        color: @color-tetiary;
        text-transform: uppercase;
        margin: 0;
    }
    
    .c-mopedshero__title {
        font-size: @size__xxl;
        color: @color-white;
        line-height: 1em;
        margin: @margin__s/2 0 0;
    }

    .c-mopedshero__text  {
        color: white;
        max-width: @contentMaxWidth;
    }
    @media @media_tablet, @media_landascape, @media_desktop, @media_full {
        opacity: 0;
        .animationDownUp;
    }
    @media @media_smartphone {
        padding-top: @margin__xl;
        min-height: initial;

        .c-mopedshero__subtitle {
            font-size: @size__ls;
        }
            
        .c-mopedshero__title {
            font-size: @size__xl;
        }
    }
}

.c-mopedshero__actions {
    .u-flex-display;
    .u-justify-content(space-between);

    margin: @margin__l 0 @margin__m*2;
    h3 {
        font-family: @font_base;
        font-size: @size__ls;
        color: @color-tetiary;
        text-transform: uppercase;
        margin: 0 0 @margin__s;
    }
    & > div {
        max-width: 400px;
        min-height: 140px;
        .u-flex-display;
        .u-flex-direction(column);
        .u-justify-content(space-between);
        .u-align-items(flex-start);
    }

    @media @media_smartphone {
        margin: @margin__xl 0 @margin__s;
        .u-flex-direction(column);
        margin: @margin__s 0 @margin__l;

        & > div {
            margin-top: @margin__s;
        }
    }
}

// LISTA CICLOMOTORI
.c-mopeds__body {
    margin-top: @margin__xl;
    .c-moped {
        height: 320px;
    }
}

.c-mopedsBody__title {
    font-size: @size__xxl;
    margin: 0;
    @media @media_smartphone {
        font-size: @size__lm;
    } 
}

.c-mopedsbody__inner {
    .u-flex-display;
    .u-flex-wrap(wrap);
    .c-moped {
        width: calc(33.33% ~'-' @margin__s*2);
        margin: @margin__s;
        @media @media_tablet {
            width: calc(50% ~'-' @margin__s*2);
            margin: @margin__s;
        }
        @media @media_smartphone {
            width: 100%;
            margin: @margin__s 0;
        }
    }
}

//SCHEDA SIDEBAR
.c-mopedDetail {
    position: fixed;
    right: 0;
    top: 0;
    bottom: 0;
    max-width: 700px;
    width: 100%;
    background-color: @color-white;
    padding: @margin__l @margin__m @margin__s;
    z-index: 201;
    .u-flex-display;
    .u-flex-direction(column);
    .u-justify-content(space-between);
    .transition-elastic;
    .u-transform(translateX(100%));

    &:after {
        position: absolute;
        content: '';
        display: block;
        right: 0;
        top: 0;
        width: 240px;
        height: 240px;
        background-color: @color-secondary;
        opacity: .3;
        z-index: -1;
    }
    &.isOpen {
        .u-transform(translateX(0));
    }

    @media @media_smartphone {
        bottom: 0;
        overflow: scroll;
        padding: @margin__m @margin__s @margin__s;
    }
}

.c-mopedDetail__close {
    position: fixed;
    top: @margin__s*2;
    right: @margin__m;
    cursor: pointer;
    z-index: 202;
    opacity: 0;
    visibility: hidden;
    .transition-elastic;

    @media @media_smartphone {
        top: @margin__s;
        right: @margin__s;
    }
}
body.isOverlay {
    .c-mopedDetail__close {
        opacity: 1;
        visibility: visible;
    }
}

.c-mopedDetail__title {
    font-size: @size__xl;
    margin: 0;
}

.c-mopedDetail__subtitle {
    font-family: @font_base;
    font-size: @size__ls;
    font-weight: @font_w__b;
    margin: 0;
}

.c-mopedDetail__row {
    font-weight: @font_w__b;
    margin: 5px 0;
    .u-flex-display;
    .u-justify-content(space-between);
    &.alternate:nth-child(odd) {
        background-color: fade(@color-primary, 8%);
    }
    span {
        min-width: 340px;
        display: inline-block;
        font-weight: @font_w__r;
    }
    strong {
        display: inline-block;
        text-align: right;
        padding-left: 10px;
        .u-flex-shrink(0);
    }

    @media @media_smartphone {
        margin: 0;
        display: block;
        span {
            min-width: initial;
            display: block;
        }
        strong {
            padding-left: 0;
        }
        &.alternate:nth-child(odd) {
            background-color: transparent;
        }
    }
}

.c-mopedDetail__image {
    max-width: 480px;
    margin-bottom: @margin__s*2;
    @media @media_smartphone {
        margin-top: @margin__m;
    }
}

//FASCIA NOLEGGIO
.c-rentalrow {
    position: relative;
    width: 100%;
    margin: 0 auto @margin__xl;
    z-index: 0;
    &:after {
        position: absolute;
        content: '';
        display: block;
        height: 100%;
        width: 100%;
        top:0;
        left: 0;
        opacity: .6;
        z-index: 0;
        .u-linear-gradient(90deg, @color-footer, fade(@color-footer, 0));
    }
    @media @media_tablet, @media_landascape {
        margin: 0 0 @margin__l;
    }
    @media @media_smartphone {
        margin: 0 0 @margin__m;
        &:after {
            .u-linear-gradient(90deg, fade(@color-footer, 0), fade(@color-footer, 0));
            background-color: @color-footer;
            opacity: .7;
          }
    }
}

.c-rentalrow__image {
    min-height: 500px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    @media @media_smartphone {
        background-position: center right 30%;
    }
}

.c-rentalrow__content {
    position: absolute;
    left: 0;
    right: 0;
    top: 50%;
    z-index: 1;
    .u-transform(translateY(-50%));

    .c-rentalrow__inner {
        max-width: 500px;
    }

    .c-rentalrow__subtitle {
        color: @color-secondary;
    }
    .c-rentalrow__title {
        color: @color-white;
        font-size: @size__xl;
        margin: 0;
    }
    p{
        color: @color-white;
    }
}
// PARAGRAFO SEMPLICE
.c-paragraph {
    margin: @margin__m auto;
    h1,h2,h3,h4,h5,h6 {
        margin-top: 0;
    }
    ul {
        padding: 0;
        margin: 0;
    }
    li {
        .u-list-style;
    }
}

// CONTATTI - MAPPA
.c-maps {
    position: relative;
    padding-top: 130px;
    height: 700px;
    z-index: 0;
    &:before {
        position: absolute;
        display: block;
        content: '';
        width: 450px;
        height: 450px;
        left: 0;
        bottom: -450px;
        opacity: .3;
        background-color: @color-secondary;
        z-index: -1;
    }

    @media @media_tablet, @media_smartphone {
        &:before {
            display: none;
        }
    }
    @media @media_smartphone {
        padding-top: 100px;
    }
}

.c-contact {
    margin-bottom: @margin__xl;
    .u-flex-display;
    .u-justify-content(space-between);

    p {
        margin: 0;
    }
    
    .c-contact__col {
        &.col1 {
            width: 40%;
        }
        &.col2 {
            width: 60%;
        }
    }

    @media @media_smartphone {
        .u-flex-direction(column);
        
        .c-contact__col {
            &.col1, &.col2 {
                width: 100%;
            }
        }
    }
}

.c-contact__title {
    font-size: @size__xl;
    @media @media_smartphone {
        font-size: @size__lm;
    }
}

.c-contact__social {
    margin-top: @margin__s;
    .social-icon {
        margin-right: @margin__s/2;
    }
}